<center> <h1>逸景医院VPN组网 建设方案</h1> </center>

# 一、选型
## 1. ~~物理线路组网~~
## 2. ~~开放公网IP~~
    > ~~经过评估此方案安全性无法保证~~
    > ~~院内网络安全设备暂无防火墙、入侵检测设备等，无法有效保障网络数据的安全~~
## 3. VPN组网
### 3.1 ~~主院区建设VPN服务器~~
    > ~~放弃原因：理由如 2 ，需要开放公网IP~~
### 3.2 云服务器 搭建 私有VPN
#### 3.2.1 服务器选型
腾讯云服务器（理由：便宜）   
后续为保证稳定性建议搭建集群，保证在一台服务器宕机的时候，不会导致业务中断

# 二、搭建（OpenVPN）
> 目前市场上的企业选用VPN类型有IPSec、SSL VPN、Wiregrud、OpenVPN等   
> 这里选择OpenVPN的理由是操作相对简单，客户端友好。资料全面。易于排查问题。   
> 注意：VPN仅可以搭建在国内云服务器上，不要存在搭建国际网络信道的可能。   
## 脚本搭建OpenVPN
### 1. 更新系统
1. Debian/Ubuntu
   ```
   sudo apt update && sudo apt -y upgrade
   ```
2. RedHat/Centos 8-9
    ```
    sudo dnf update -y 
    ```
### 2. 执行脚本安装
1. 远程下载脚本
   ```
   wget -O openvpn.sh https://fox.aliait.org/projects/HIS/repos/vpn-net-set/raw/openvpn-install.sh
   ```
2. 通过SFTP上传脚本
3. 新建一个文件```vim openvpn.sh``` 然后打开文件 [openvpn-install.sh](https://fox.aliait.org/projects/HIS/repos/vpn-net-set/browse/openvpn-install.sh)，复制其中的内容粘贴进去。
4. 安装
   1. 使用默认选项自动安装
   ```
   sudo bash openvpn.sh --auto
   ```
   2. 使用自定义选型进行安装
   ```
   sudo bash openvpn.sh
   ```
5. 你可以自定义以下选项：VPN 服务器的域名，协议 (TCP/UDP) 和端口，VPN 客户端的 DNS 服务器以及第一个客户端的名称。

请为 VPN 打开所选的 TCP 或 UDP 端口。

<details>
<summary>
高级：使用自定义选项自动安装。
</summary>

高级用户可以使用自定义选项自动安装 OpenVPN，方法是提供一个 Bash "here document" 作为安装脚本的输入。此方法还可用于在安装后提供输入以管理用户。

首先，使用自定义选项以交互方式安装 OpenVPN，并写下你对脚本的所有输入值。

```bash
sudo bash openvpn.sh
```

如需删除 OpenVPN，请再次运行脚本并选择适当的选项。

然后使用你的输入值创建自定义安装命令。例如：

```bash
sudo bash openvpn.sh <<ANSWERS
n
1
1194
2
client
y
ANSWERS
```

**注：** 安装选项可能会在脚本的未来版本中发生变化。
</details>

### 3.下一步

安装完成后，你可以再次运行脚本来管理用户或者卸载 OpenVPN。